from django.contrib.sitemaps import Sitemap
from web.blog.models import Entry
from web.wiki.models import Wikipage

class BlogSitemap(Sitemap):
    changefreq = "daily"
    priority = 0.9

    def items(self):
        return Entry.objects.all()

    def lastmod(self, obj):
        return obj.date


class WikiSitemap(Sitemap):
    changefreq = "daily"
    priority = 0.9

    def items(self):
        return Wikipage.objects.all()

    def lastmod(self, obj):
        return obj.date

