from django.conf.urls.defaults import *
from web.blog.models import *
from django.contrib import admin
from web.feeds import LatestEntries,LatestWikis
from web.sitemap import BlogSitemap,WikiSitemap

admin.autodiscover()

feeds = {'latest':LatestEntries,'wiki':LatestWikis}
sitemaps = {'blog':BlogSitemap,'wiki':WikiSitemap}

urlpatterns = patterns('',
                       (r'^guillem/admin/(.*)',admin.site.root),
                       (r'^guillem/blog/comment_engine/(?P<slug>\D+)/$','web.blog.views.comment_engine'),
                       (r'^guillem/blog/author_index/(?P<auth>\D+)/$','web.blog.views.author'),
                       (r'^guillem/blog/cat/(?P<cat>\w+)/$','web.blog.views.category'),
                       (r'^guillem/blog/(?P<slug>\w+)/$','web.blog.views.entry'),
                       (r'^guillem/blog/(?P<slug>\D+)/$','web.blog.views.entry'),
                       (r'^guillem/blog/$','web.blog.views.blog'),
                       (r'^guillem/wiki/(?P<wikiname>\D+)/$','web.wiki.views.page'),
                       (r'^guillem/fotolog/', include('web.stockphoto.urls')),
                       (r'^guillem/rss/','django.views.generic.simple.direct_to_template',
                        {'template':'feeds.html'}),
                       (r'^guillem/feeds/(?P<url>.*)$','django.contrib.syndication.views.feed',
                        {'feed_dict':feeds}),
                       (r'^guillem/sitemap.xml$', 'django.contrib.sitemaps.views.sitemap', {'sitemaps': sitemaps})

                       )
