from django.db import models

# Create your models here.

class Author(models.Model):
    """Wiki author"""
    name = models.CharField("Name",max_length=200,unique=True)
    email = models.EmailField("Author's email")

    def __str__(self):
        return self.name
    
    def __unicode__(self):
        return self.name


class File(models.Model):
    title = models.CharField('name of the file',max_length=200)
    pub_date = models.DateTimeField('date published',auto_now_add=True)
    data = models.FileField("file to upload",upload_to="files")

    def __str__(self):
        return self.title

    def __unicode__(self):
        return self.title


class Wikipage(models.Model):
    """Wiki page storage"""
    title = models.CharField("WikiName",max_length=200,unique=True)
    author = models.ForeignKey(Author)
    date = models.DateTimeField(auto_now_add=True)    
    content = models.TextField("Entry body")
    included = models.ManyToManyField(File,blank=True)

    def __str__(self):
        return self.title
    
    def __unicode__(self):
        return self.title

    def get_absolute_url(self):
        return '/guillem/wiki/%s/'%(self.title)


